## GcrParser GcrParser |

## Synopsis

                        GcrParsedItem;
                        GcrParserPrivate;
                        GcrParser;
    GcrParser*          gcr_parser_new                      (void);
    gboolean            gcr_parser_format_enable            (GcrParser *self,
                                                             gint format);
    gboolean            gcr_parser_format_disable           (GcrParser *self,
                                                             gint format);
    gboolean            gcr_parser_format_supported         (GcrParser *self,
                                                             gint format);
    gboolean            gcr_parser_parse_data               (GcrParser *self,
                                                             const guchar *data,
                                                             gsize n_data,
                                                             GError **err);
    void                gcr_parser_add_password             (GcrParser *self,
                                                             const gchar *password);
    const gchar*        gcr_parser_get_parsed_label         (GcrParser *self);
    const gchar*        gcr_parser_get_parsed_description   (GcrParser *self);
    struct _GP11Attributes* gcr_parser_get_parsed_attributes
                                                            (GcrParser *self);

## Object Hierarchy

      GObject
       +----GcrParser

## Properties

      "parsed-attributes"        GP11Attributes*       : Read
      "parsed-description"       gchar*                : Read
      "parsed-label"             gchar*                : Read

## Signals

      "authenticate"                                   : Run Last
      "parsed"                                         : Run First

## Description

## Details

### GcrParsedItem

    typedef struct _GcrParsedItem GcrParsedItem;

### GcrParserPrivate

    typedef struct _GcrParserPrivate GcrParserPrivate;

### GcrParser

    typedef struct _GcrParser GcrParser;

### gcr_parser_new ()

    GcrParser*          gcr_parser_new                      (void);

Returns : |

### gcr_parser_format_enable ()

    gboolean            gcr_parser_format_enable            (GcrParser *self,
                                                             gint format);

`self` : |
`format` : |
Returns : |

### gcr_parser_format_disable ()

    gboolean            gcr_parser_format_disable           (GcrParser *self,
                                                             gint format);

`self` : |
`format` : |
Returns : |

### gcr_parser_format_supported ()

    gboolean            gcr_parser_format_supported         (GcrParser *self,
                                                             gint format);

`self` : |
`format` : |
Returns : |

### gcr_parser_parse_data ()

    gboolean            gcr_parser_parse_data               (GcrParser *self,
                                                             const guchar *data,
                                                             gsize n_data,
                                                             GError **err);

`self` : |
`data` : |
`n_data` : |
`err` : |
Returns : |

### gcr_parser_add_password ()

    void                gcr_parser_add_password             (GcrParser *self,
                                                             const gchar *password);

`self` : |
`password` : |

### gcr_parser_get_parsed_label ()

    const gchar*        gcr_parser_get_parsed_label         (GcrParser *self);

`self` : |
Returns : |

### gcr_parser_get_parsed_description ()

    const gchar*        gcr_parser_get_parsed_description   (GcrParser *self);

`self` : |
Returns : |

### gcr_parser_get_parsed_attributes ()

    struct _GP11Attributes* gcr_parser_get_parsed_attributes
                                                            (GcrParser *self);

`self` : |
Returns : |

## Property Details

### The `"parsed-attributes"` property

      "parsed-attributes"        GP11Attributes*       : Read

Parsed PKCS#11 attributes.

### The `"parsed-description"` property

      "parsed-description"       gchar*                : Read

Parsed item description.

Default value: ""

### The `"parsed-label"` property

      "parsed-label"             gchar*                : Read

Parsed item label.

Default value: ""

## Signal Details

### The `"authenticate"` signal

    gboolean            user_function                      (GcrParser *gcrparser,
                                                            gpointer   arg1,
                                                            gpointer   user_data)      : Run Last

`gcrparser` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.
Returns : |

### The `"parsed"` signal

    void                user_function                      (GcrParser *gcrparser,
                                                            gpointer   user_data)      : Run First

`gcrparser` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.